# Visualization
TKV3d
Graphic3d

# Graphic3d_SetOfGroup Class Reference

`#include <Graphic3d_SetOfGroup.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Graphic3d_SetOfGroup ()
Standard_Integer | Extent () const
Standard_Boolean | IsEmpty () const
void | Clear ()
Standard_EXPORT Standard_Boolean | Add (const Handle(Graphic3d_Group)&T)
Standard_EXPORT Standard_Boolean | Remove (const Handle(Graphic3d_Group)&T)
Standard_EXPORT void | Union (const Graphic3d_SetOfGroup &B)
Standard_EXPORT void | Intersection (const Graphic3d_SetOfGroup &B)
Standard_EXPORT void | Difference (const Graphic3d_SetOfGroup &B)
Standard_EXPORT Standard_Boolean | Contains (const Handle(Graphic3d_Group)&T) const
Standard_EXPORT Standard_Boolean | IsASubset (const Graphic3d_SetOfGroup &S) const
Standard_EXPORT Standard_Boolean | IsAProperSubset (const Graphic3d_SetOfGroup &S) const

## Private Member Functions

Standard_EXPORT | Graphic3d_SetOfGroup (const Graphic3d_SetOfGroup &Other)

## Private Attributes

Graphic3d_SetListOfSetOfGroup | myItems

## Constructor & Destructor Documentation

Standard_EXPORT Graphic3d_SetOfGroup::Graphic3d_SetOfGroup | ( |  | ) |

Standard_EXPORT Graphic3d_SetOfGroup::Graphic3d_SetOfGroup | ( | const Graphic3d_SetOfGroup & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT Standard_Boolean Graphic3d_SetOfGroup::Add | ( | const Handle(Graphic3d_Group)& | T | ) |

void Graphic3d_SetOfGroup::Clear | ( |  | ) |

Standard_EXPORT Standard_Boolean Graphic3d_SetOfGroup::Contains | ( | const Handle(Graphic3d_Group)& | T | ) | const

Standard_EXPORT void Graphic3d_SetOfGroup::Difference | ( | const Graphic3d_SetOfGroup & | B | ) |

Standard_Integer Graphic3d_SetOfGroup::Extent | ( |  | ) | const

Standard_EXPORT void Graphic3d_SetOfGroup::Intersection | ( | const Graphic3d_SetOfGroup & | B | ) |

Standard_EXPORT Standard_Boolean Graphic3d_SetOfGroup::IsAProperSubset | ( | const Graphic3d_SetOfGroup & | S | ) | const

Standard_EXPORT Standard_Boolean Graphic3d_SetOfGroup::IsASubset | ( | const Graphic3d_SetOfGroup & | S | ) | const

Standard_Boolean Graphic3d_SetOfGroup::IsEmpty | ( |  | ) | const

void Graphic3d_SetOfGroup::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Graphic3d_SetOfGroup::operator new | ( | size_t | size | ) | `[inline]`

void* Graphic3d_SetOfGroup::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Standard_Boolean Graphic3d_SetOfGroup::Remove | ( | const Handle(Graphic3d_Group)& | T | ) |

Standard_EXPORT void Graphic3d_SetOfGroup::Union | ( | const Graphic3d_SetOfGroup & | B | ) |

## Field Documentation

Graphic3d_SetListOfSetOfGroup Graphic3d_SetOfGroup::myItems `[private]`

The documentation for this class was generated from the following file:

- Graphic3d_SetOfGroup.hxx